## lua-multipart-post 1.3

=== Makefile ===
PREFIX=/usr/local
LMODNAME=multipart-post

LUA=lua
LMODFILE=$(LMODNAME).lua

ABIVER=5.1
INSTALL_SHARE=$(PREFIX)/share
INSTALL_LMOD=$(INSTALL_SHARE)/lua/$(ABIVER)

all:
	@echo "This is a pure module. Nothing to make :)"

test:
	@$(LUA) $(LMODNAME).test.lua

install:
	install -m0644 $(LMODFILE) $(INSTALL_LMOD)/$(LMODFILE)

uninstall:
	rm -f $(INSTALL_LMOD)/$(LMODFILE)

=== debian/changelog ===
lua-multipart-post (1.3-1) groovy; urgency=medium

  * Initial release.

 -- Chris <dpkg@chris-nz.com>  Mon, 04 Oct 2021 01:04:51 +1300

=== debian/control ===
Source: lua-multipart-post
Section: interpreters
Priority: optional
Maintainer: Chris <dpkg@chris-nz.com>
Build-Depends: debhelper (>= 9), dh-lua
Standards-Version: 4.5.0
#Vcs-Git: git://git.debian.org/git/pkg-lua/lua-bitop.git
#Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-bitop.git
Homepage: https://github.com/catwell/lua-multipart-post

Package: lua-multipart-post
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: Pure-lua HTTP multipart post helper
 This package contains a library in pure lua,
 for submitting HTTP POST requests as multipart.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lua-multipart-post-$1\.tar\.gz/ \
  https://github.com/catwell/lua-multipart-post/tags .*/v?(\d\S*)\.tar\.gz
